;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; This file only use when compiling. ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; ΥեϥѥΤɬפȤʤ롣

;$Id: color-mate-compile.el,v 1.1 1997/03/24 03:54:08 elca Exp qyokota $

;; set path where "*.el" exists.
(setq load-path (cons "." load-path))

; This macro comes from hilit19.el
;; hilit19.el,v 2.19 1993/09/08 18:44:10 stig Release
(defmacro hilit-translate (&rest args)
  "(hilit-translate FROM TO FROM TO ...): translate each face FROM to the
value of its TO face.  This is like setq for faces.

The function hilit-lookup-face-create will repeatedly translate until no more
translations for the face exist in the translation table.

See the documentation for hilit-lookup-face-create for names of valid faces."
  (or (zerop (% (length args) 2))
      (error "wrong number of args"))
  (let (cmdl from to)
    (while args
      (setq from (car args) to (nth 1 args) args (nthcdr 2 args)
	    cmdl (cons (list 'hilit-associate ''hilit-face-translation-table
			     (list 'quote from) to)
		       cmdl)))
    (cons 'progn cmdl)))

; This function comes from hilit19.el
(defun hilit-associate (alist key val)
  "It's dummy function."
  nil)

; These values comes from egg.el
(defvar egg:*fence-face*         nil "It's dummy variable.")
(defvar egg:*henkan-face*        nil "It's dummy variable.")
(defvar egg:*fence-face-in-cont* nil "It's dummy variable.")
(defvar egg:*dai-bunsetu-face*   nil "It's dummy variable.")
(defvar egg:*sho-bunsetu-face*   nil "It's dummy variable.")

;; It's comes from canna.el.
(defvar canna-empty-info nil "It's dummy variable.")
(defvar canna-use-color nil "It's dummy variable.")

; This function comes from can-n-egg.el
(defun can-n-egg ()
  "It's dummy function."
  nil)

; This function comes from canna.el
(defun canna ()
  "It's dummy function."
  nil)

; It's comes from paren.el (xemacs)
(defvar paren-mode nil "It's dummy variable.")